Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.step.errorhandling
Class AbstractFileErrorHandler

    java.lang.Object
      org.pentaho.di.trans.step.errorhandling.AbstractFileErrorHandler

All Implemented Interfaces:
  FileErrorHandler

Direct Known Subclasses:
  FileErrorHandlerContentLineNumber, FileErrorHandlerMissingFiles

    public abstract class AbstractFileErrorHandler

extends Object
implements FileErrorHandler

Field Summary
`static String` | `NO_PARTS`

Constructor Summary
`AbstractFileErrorHandler(Date date, String destinationDirectory, String fileExtension, String encoding, BaseStep baseStep)`

Method Summary
`void` | `close()` This method closes the handler;
`static DateFormat` | `createDateFormat()`
`static org.apache.commons.vfs.FileObject` | `getReplayFilename(String destinationDirectory, String processingFilename, Date date, String extension, Object source)`
`static org.apache.commons.vfs.FileObject` | `getReplayFilename(String destinationDirectory, String processingFilename, String dateString, String extension, Object source)`
`void` | `handleFile(org.apache.commons.vfs.FileObject file)` Tells the handler which file is being processed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.errorhandling.FileErrorHandler
`handleLineError, handleNonAccessibleFile, handleNonExistantFile`

Field Detail

### NO_PARTS

    public static final String NO_PARTS

See Also:
  Constant Field Values

Constructor Detail

### AbstractFileErrorHandler

    public AbstractFileErrorHandler(Date date,
                                    String destinationDirectory,
                                    String fileExtension,
                                    String encoding,
                                    BaseStep baseStep)

Method Detail

### createDateFormat

    public static DateFormat createDateFormat()

### getReplayFilename

    public static org.apache.commons.vfs.FileObject getReplayFilename(String destinationDirectory,
                                                                      String processingFilename,
                                                                      String dateString,
                                                                      String extension,
                                                                      Object source)
                                                               throws IOException

  Throws:
    `IOException`

### getReplayFilename

    public static org.apache.commons.vfs.FileObject getReplayFilename(String destinationDirectory,
                                                                      String processingFilename,
                                                                      Date date,
                                                                      String extension,
                                                                      Object source)
                                                               throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `FileErrorHandler`
  This method closes the handler;

  Specified by:
    `close` in interface `FileErrorHandler`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### handleFile

    public void handleFile(org.apache.commons.vfs.FileObject file)
                    throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `FileErrorHandler`
  Tells the handler which file is being processed.

  Specified by:
    `handleFile` in interface `FileErrorHandler`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD